// gnome.xonotic.in.ua

models/trees/tree2/bark3_512
{
	{
		map models/trees/tree2/bark3_512.tga
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
		rgbgen vertex
	}
}

models/trees/tree2/branch_gold
{
	surfaceparm alphashadow
	cull none
	nopicmip
	nomipmaps
	deformvertexes wave 5 sin 0 .3 0 .3
	{
		map models/trees/tree2/branch_gold.tga
		alphafunc ge128
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
		rgbgen vertex
	}
}

textures/austria/austria_skybox
{
	qer_editorimage textures/austria/austriaskyimage.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 242 205 133 500 130 55
	q3map_lightrgb 242 205 133
	q3map_surfacelight 275
	q3map_backsplash 0 0
	skyparms env/austria/austriasky - -
}

textures/bbq/04_window
{
	qer_editorimage textures/bbq/04_window.tga
	cull none
	{
		map textures/effects/tinfxb.tga
		blendfunc gl_one gl_one
		tcgen environment
	}
	{
		map textures/bbq/04_window.tga
		alphafunc ge128
	}
	{
		map $lightmap rgbgen identity blendfunc filter
	}
}

textures/bbq2/black
{
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		map textures/bbq2/black.jpg
	}
}

textures/bbq/bbqgate
{
	qer_editor_image textures/bbq/bbqgate.tga
	nopicmip
	nomipmaps
	surfaceparm alphashadow
	cull disable
	{
		map textures/bbq/bbqgate.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/bbq/ladderclip
{
	qer_editor_image textures/bbq/ladderclip.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
}

textures/crossing/sw_glass_clear
{
	qer_editorimage textures/crossing/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/crossing/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

textures/crossing/sw_railing
{
	qer_editor_image textures/crossing/sw_railing.tga
	qer_trans 0.40
	surfaceparm alphashadow
	surfaceparm playerclip
	nopicmip
	cull disable
	{
		map textures/crossing/sw_railing.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/doors/gate1_512
{
	surfaceparm trans
	cull none
	nopicmip
	nomipmaps
	{
		map textures/doors/gate1_512.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/lundesert/grass1
{
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull disable
	{
		map textures/lundesert/grass1.tga
		rgbgen vertex
		alphafunc ge128
		blendfunc gl_one gl_zero
	}
}

textures/null_beach/furnace_door_fx
{
	qer_editorimage textures/null_beach/furnace_door.tga
	q3map_surfacelight 8500
	q3map_lightimage textures/null_beach/furnace_glow.tga
	surfaceparm nomarks
	{
		map textures/null_beach/flames1.tga
		tcmod scroll 0.8 2.4
		tcmod turb 0 0.1 0 1
		rgbgen wave noise 0.4 0.2 0 4
	}
	{
		map textures/null_beach/flames1.tga
		tcmod scroll -0.75 2
		rgbgen wave noise 0.3 0.1 0 3
		blendfunc add
		tcmod turb 0 0.1 0.5 1
	}
	{
		map textures/null_beach/furnace_door.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/null_beach/furnace_glow.tga
		blendfunc add
		rgbgen wave noise 0.4 0.3 0 4
	}
}

textures/null_beach/no_swim
{
	qer_editorimage textures/null_beach/noswim.tga
	polygonoffset
	cull none
	{
		map textures/null_beach/noswim.tga
		rgbgen vertex
		alphafunc ge128
	}
}

textures/null_beach/proto_grate4
{
	surfaceparm metalsteps
	surfaceparm trans
	nopicmip
	{
		map textures/null_beach/proto_grate4.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/null_beach/scr_metal
{
	qer_editorimage textures/null_beach/sc_metal.tga
	{
		map textures/null_beach/sc_metal.tga
		rgbgen exactvertex
	}
	{
		map textures/null_beach/spec1.tga
		blendfunc add
		rgbgen exactvertex
	}
}

textures/sweetnutz3/clear_ripple1
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	deformvertexes wave 64 sin .5 .5 0 .5
	{
		map textures/liquids/pool3d_6.tga
		blendfunc add
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .001 -.001
	}
	{
		map textures/liquids/pool3d_3.tga
		blendfunc add
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .001
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sweetnutz/sn_cinderblock1
{
	qer_editorimage textures/sweetnutz/sn_cinderblock1.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/sweetnutz/sn_cinderblock1.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/sweetnutz/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/urban_terror/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/ut_prague/waterfall
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut_prague/waterfall.tga
		tcmod scroll .5 4
		blendfunc gl_one gl_one
	}
}

textures/ut_swim/ceiling_light1
{
	qer_editorimage textures/ut_swim/ceiling_light1.tga
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ut_swim/ceiling_light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ut_swim/ceiling_light1_blend.tga
		blendfunc gl_one gl_one
	}
	{
		map textures/ut_swim/ceiling_light1_grid.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
}

textures/ut_swim/ceiling_light1_grid
{
	q3map surfacelight 20
	{
		map textures/ut_swim/ceiling_light1_grid.tga
	}
}

